Kan ikke installere vlc

Få hjælp til at sætte programmer eller funktioner op.
keniel
Indlæg: 197
Tilmeldt: 14. feb 2008, 21:45
Geografisk sted: Helsingfors, Finland

Kan ikke installere vlc

Indlægaf keniel » 8. okt 2017, 22:28

Jeg har lavet en frisk installation af 16.04, men noget må have gået galt under installationen. Når jeg forsøger at installere vlc får jeg fejlmelding:

keniel@keniel:~$ sudo apt-get install vlc vlc-plugin-*
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ
Læser tilstandsoplysninger... Færdig
Note, selecting 'vlc-plugin-sdl' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-svg' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-samba' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-fluidsynth' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-notify' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-zvbi' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-vlsub' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-jack' for glob 'vlc-plugin-*'
Note, selecting 'vlc-plugin-pulse' for glob 'vlc-plugin-*'
Nogle pakker kunne ikke installeres. Det kan betyde at du har ønsket
en umulig situation eller bruger den ustabile distribution, hvor enkelte
pakker endnu ikke er lavet eller gjort tilgængelige.
Følgende oplysninger kan hjælpe dig med at klare situationen:

Følgende pakker har uopfyldte afhængigheder:
vlc : Afhængigheder: libgles1-mesa (>= 7.8.1) men den bliver ikke installeret eller
libgles1
E: Kunne ikke korrigere problemerne, da du har tilbageholdt ødelagte pakker.
keniel@keniel:~$

Hvad gør jeg for at rette dette?

Klaus Rasmussen
Redaktør
Indlæg: 3279
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Kan ikke installere vlc

Indlægaf Klaus Rasmussen » 8. okt 2017, 23:06

Problemet er ikke vlc, men:
keniel skrev:E: Kunne ikke korrigere problemerne, da du har tilbageholdt ødelagte pakker.


Prøv at køre denne for at reparere pakkerne:

Kode: Vælg alt

sudo dpkg --configure -a && sudo apt-get update && sudo apt-get upgrade
Med Venlig Hilsen
Klaus

Kører Ubuntu 17.10 på Lenovo-H515s, 64bit
Manualer til Ubuntu her: http://ubuntu-manual.org/
Ubuntu hjælp her: https://help.ubuntu.com/
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
MEGA Share: https://mega.nz/#F!XNM1ALpL!G_CEVUUE9ZvotKPa4o4PLA

keniel
Indlæg: 197
Tilmeldt: 14. feb 2008, 21:45
Geografisk sted: Helsingfors, Finland

Re: Kan ikke installere vlc

Indlægaf keniel » 9. okt 2017, 10:18

Jeg kører hver gang jeg starter denne og det har ikke hjulpet:

sudo dpkg --configure -a && sudo apt-get autoremove && sudo apt-get -y autoclean && sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

Hvad gør jeg nu?

keniel
Indlæg: 197
Tilmeldt: 14. feb 2008, 21:45
Geografisk sted: Helsingfors, Finland

Re: Kan ikke installere vlc

Indlægaf keniel » 9. okt 2017, 10:21

Jeg glemte at skrive, at det er 16.04 LTS og den er hentet fra Ubuntus egen download-side

AJenbo
Admin
Indlæg: 19040
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Kan ikke installere vlc

Indlægaf AJenbo » 9. okt 2017, 10:58

keniel skrev:Jeg kører hver gang jeg starter denne og det har ikke hjulpet:

sudo dpkg --configure -a && sudo apt-get autoremove && sudo apt-get -y autoclean && sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

Hvad gør jeg nu?

Hvilket resultat får du når du køre kommandoen?

keniel
Indlæg: 197
Tilmeldt: 14. feb 2008, 21:45
Geografisk sted: Helsingfors, Finland

Re: Kan ikke installere vlc

Indlægaf keniel » 9. okt 2017, 12:08

Jeg får dette i terminalen:

Kode: Vælg alt

keniel@keniel:~$ sudo dpkg --configure -a && sudo apt-get autoremove && sudo apt-get -y autoclean && sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade
[sudo] adgangskode for keniel:
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
Henter:1 http://deb.opera.com/opera-stable stable InRelease [2.592 B]
Havde:2 http://archive.canonical.com/ubuntu xenial InRelease                   
Henter:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB] 
Havde:4 http://dk.archive.ubuntu.com/ubuntu xenial InRelease                   
Havde:6 http://ppa.launchpad.net/appgrid/stable/ubuntu xenial InRelease       
Henter:7 http://dk.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Havde:8 http://ppa.launchpad.net/linrunner/tlp/ubuntu xenial InRelease         
Henter:9 http://dk.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Ignorerer:10 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial InRelease
Havde:11 http://ppa.launchpad.net/videolan/stable-daily/ubuntu xenial InRelease
Havde:5 http://screenshots.getdeb.net xenial-getdeb InRelease                 
Havde:12 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease     
Havde:13 http://ppa.launchpad.net/webupd8team/tor-browser/ubuntu xenial InRelease
Havde:14 http://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu xenial InRelease
Ignorerer:15 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial Release
Henter:16 http://deb.opera.com/opera-stable stable/non-free amd64 Packages [1.822 B]
Ignorerer:17 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 Packages
Henter:18 http://deb.opera.com/opera-stable stable/non-free i386 Packages [1.820 B]
Henter:19 https://deb.opera.com/opera-stable stable InRelease [2.592 B]       
Havde:20 https://dl.winehq.org/wine-builds/ubuntu xenial InRelease           
Ignorerer:21 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main i386 Packages
Ignorerer:22 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main all Packages
Ignorerer:23 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da_DK
Ignorerer:24 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da
Ignorerer:25 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-en
Ignorerer:26 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 DEP-11 Metadata
Henter:27 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [60,2 kB]
Ignorerer:28 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main DEP-11 64x64 Icons
Henter:29 http://dk.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [305 kB]
Henter:30 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [57,6 kB]
Henter:31 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [49,1 kB]
Ignorerer:17 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 Packages
Henter:32 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [69,7 kB]
Henter:33 http://dk.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [209 kB]
Henter:34 http://dk.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [172 kB]
Ignorerer:21 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main i386 Packages
Henter:35 http://dk.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [234 kB]
Henter:36 http://dk.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5.888 B]
Henter:37 http://dk.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]
Henter:38 http://dk.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [4.588 B]
Ignorerer:22 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main all Packages
Ignorerer:23 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da_DK
Ignorerer:24 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da
Ignorerer:25 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-en
Ignorerer:26 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 DEP-11 Metadata
Ignorerer:28 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main DEP-11 64x64 Icons
Ignorerer:17 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 Packages
Ignorerer:21 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main i386 Packages
Ignorerer:22 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main all Packages
Ignorerer:23 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da_DK
Ignorerer:24 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da
Ignorerer:25 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-en
Ignorerer:26 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 DEP-11 Metadata
Ignorerer:28 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main DEP-11 64x64 Icons
Ignorerer:17 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 Packages
Ignorerer:21 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main i386 Packages
Ignorerer:22 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main all Packages
Ignorerer:23 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da_DK
Ignorerer:24 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da
Ignorerer:25 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-en
Ignorerer:26 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 DEP-11 Metadata
Ignorerer:28 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main DEP-11 64x64 Icons
Ignorerer:17 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 Packages
Ignorerer:21 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main i386 Packages
Ignorerer:22 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main all Packages
Ignorerer:23 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da_DK
Ignorerer:24 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da
Ignorerer:25 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-en
Ignorerer:26 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 DEP-11 Metadata
Ignorerer:28 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main DEP-11 64x64 Icons
Fejl:17 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 Packages
  404  Not Found
Ignorerer:21 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main i386 Packages
Ignorerer:22 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main all Packages
Ignorerer:23 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da_DK
Ignorerer:24 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-da
Ignorerer:25 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main Translation-en
Ignorerer:26 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main amd64 DEP-11 Metadata
Ignorerer:28 http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial/main DEP-11 64x64 Icons
Hentede 1.486 kB på 5s (250 kB/s)
Indlæser pakkelisterne... Færdig
W: Target Packages (non-free/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Packages (non-free/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Packages (non-free/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Translations (non-free/i18n/Translation-da_DK) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Translations (non-free/i18n/Translation-da) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Translations (non-free/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target DEP-11 (non-free/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target DEP-11-icons (non-free/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: The repository 'http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Kunne ikke finde /var/lib/apt/lists/partial/deb.opera.com_opera-stable_dists_stable_InRelease - pkgAcqTransactionItem::TransactionState-stat (2: Ingen sådan fil eller filkatalog)
E: Kunne ikke finde /var/lib/apt/lists/partial/deb.opera.com_opera-stable_dists_stable_non-free_binary-amd64_Packages - pkgAcqTransactionItem::TransactionState-stat (2: Ingen sådan fil eller filkatalog)
E: Kunne ikke finde /var/lib/apt/lists/partial/deb.opera.com_opera-stable_dists_stable_non-free_binary-i386_Packages - pkgAcqTransactionItem::TransactionState-stat (2: Ingen sådan fil eller filkatalog)
W: Target Packages (non-free/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Packages (non-free/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Packages (non-free/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Translations (non-free/i18n/Translation-da_DK) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Translations (non-free/i18n/Translation-da) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target Translations (non-free/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target DEP-11 (non-free/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Target DEP-11-icons (non-free/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/opera.list:1 and /etc/apt/sources.list.d/opera.list:2
W: Duplicate sources.list entry http://deb.opera.com/opera-stable stable Release
keniel@keniel:~$

AJenbo
Admin
Indlæg: 19040
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Kan ikke installere vlc

Indlægaf AJenbo » 9. okt 2017, 13:21

Jeg kan se du har et PPA ved navn mc3man som indeholder en uofficel udgave af VLC. Der er desuden problemer med at indlæse listen af alt dets software til 64bit maskiner.

Samtidig har du også et PPA fra VLC selv, som også kan gå i konflikt:
http://ppa.launchpad.net/videolan/stable-daily/ubuntu

En anden ting du nok bør gøre for at prøve at finde frem til problemet er at installere vlc uden samtidig at forsøge at installere alle tilgængelige plugins:

Kode: Vælg alt

sudo apt install vlc


Prøv også om du manuelt kan installere libgles1-mesa:

Kode: Vælg alt

sudo apt install libgles1-mesa

keniel
Indlæg: 197
Tilmeldt: 14. feb 2008, 21:45
Geografisk sted: Helsingfors, Finland

Re: Kan ikke installere vlc

Indlægaf keniel » 9. okt 2017, 16:16

Jeg fjernede et par ppa, og nu kommer der ingen fejlmelding, når jeg opdaterer. VLC er også nu installeret.
Tak. Men sudo apt install libgles1-mesa meddeler den, at der er noget der er gået galt da jeg installerede 16.04?
Kan jeg rette denne fejl? Eller skal jeg gøre en "clean install"?

AJenbo
Admin
Indlæg: 19040
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Kan ikke installere vlc

Indlægaf AJenbo » 9. okt 2017, 17:31

Giv os den præcise fejl ellers er det svært at vide hvad der sker.

Brugeravatar
Christian.Arvai
Admin
Indlæg: 10391
Tilmeldt: 26. apr 2008, 19:27
IRC nickname: Christian_Arvai
Geografisk sted: Holeby - Lolland

Re: Kan ikke installere vlc

Indlægaf Christian.Arvai » 11. okt 2017, 13:03

libgles1-mesa bruges ikke i forbindelse med VLC.
The Mesa GL API module is responsible for dispatching all the gl*
functions. It is intended to be mainly used by both the libgles1-mesa
and libgles2-mesa packages.


Jeg bruger selv VLC, og har også skrevet forums guide om VLC, så jeg burde have rendt ind i det plugin i tidens løb, hvis det skulle/skal bruges til VLC :)
Med venlig hilsen Christian

"We can only see a short distance ahead, but we can see plenty there that needs to be done." -- Alan Turing

AJenbo
Admin
Indlæg: 19040
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Kan ikke installere vlc

Indlægaf AJenbo » 11. okt 2017, 13:37

Det bruges vist til hardware acceleration som ikke er med fra standard i den VLC der kommer med Ubuntu.

Brugeravatar
Christian.Arvai
Admin
Indlæg: 10391
Tilmeldt: 26. apr 2008, 19:27
IRC nickname: Christian_Arvai
Geografisk sted: Holeby - Lolland

Re: Kan ikke installere vlc

Indlægaf Christian.Arvai » 11. okt 2017, 14:44

AJenbo skrev:Det bruges vist til hardware acceleration som ikke er med fra standard i den VLC der kommer med Ubuntu.

Øhhhh, godt så. Det har jeg aldrig set nogen herinde bruge, og heller ikke læst om på VLC's officielle side.
Med venlig hilsen Christian

"We can only see a short distance ahead, but we can see plenty there that needs to be done." -- Alan Turing

AJenbo
Admin
Indlæg: 19040
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Kan ikke installere vlc

Indlægaf AJenbo » 11. okt 2017, 15:29

Det er en relativ basal del af grafiksystemet så det vil nok ikke normalt blive bragt op i den sammenhæng. I dag afhænger ubuntu desktop selv af libgles2-mesa.

keniel
Indlæg: 197
Tilmeldt: 14. feb 2008, 21:45
Geografisk sted: Helsingfors, Finland

Re: Kan ikke installere vlc

Indlægaf keniel » 11. okt 2017, 18:43

Efter et par forsøg, virkede kommandoen sudo apt install libgles1-mesa.
Den har installeret den. Tak for hjælpen

Tilbage til "Opsætning"

Hvem er online

Brugere der læser dette forum: Ingen og 1 gæst